Description

Just installed this plugin:

http://www.redmine.org/plugins/redmine_knowledgebase

And everything works great except for editing articles. I recieve the following error: Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

Back

(Typical redmine 500 error message)

the log does not show any kind of activity when attemtping to edit an articele

Any help?

Mysql 5.1

Ruby 1.8.6

Rails 2.3.5

redmine 1.0.5

History

#1 - 2012-04-28 00:46 - Nick Lampedecchio

I found someone having the same issue as me but their issue is currently unresolved. He did include a log file that indicated an issue. It looks like this:

Processing ArticlesController#edit (for 192.168.16.197 at 2012-04-23 13:51:53) [GET]

Parameters: {"action"=>"edit", "id"=>"4", "controller"=>"articles"}

Rendering template within layouts/base

Rendering articles/edit

ActionView::TemplateError (undefined method `labelled_form_for' for #<ActionView::Base:0xc2baa78>) on line #3 of

vendor/plugins/redmine_knowledgebase/app/views/articles/edit.html.erb:

1: <h2><%= l(:title_edit_article) ></h2>

2:

3: < labelled_form_for :article, @article,

4:                      :url => { :action => "update" },

5:                      :html => { :multipart => true, :id => "articles-form" }  do |form| %>

6:

Maybe this will help?

#2 - 2012-04-28 09:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Please contact the plugin author.
